# Method: accounts.adSources.adapters.list

- [HTTP request](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources.adapters/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources.adapters/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources.adapters/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources.adapters/list#body.request_body)
- [Response body](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources.adapters/list#body.response_body)
  - [JSON representation](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources.adapters/list#body.ListAdaptersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources.adapters/list#body.aspect)
- [Adapter](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources.adapters/list#Adapter)
  - [JSON representation](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources.adapters/list#Adapter.SCHEMA_REPRESENTATION)
- [AdapterConfigMetadata](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources.adapters/list#AdapterConfigMetadata)
  - [JSON representation](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources.adapters/list#AdapterConfigMetadata.SCHEMA_REPRESENTATION)
- [Examples](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources.adapters/list#examples)
- [Try it!](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources.adapters/list#try-it)

List the adapters of the ad source.

### HTTP request

`GET https://admob.googleapis.com/v1beta/{parent=accounts/*/adSources/*}/adapters`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent which owns this collection of adapters. Format: accounts/{publisherId}/adSources/{adSourceId} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of adapters to return. If unspecified or 0, at most 10,000 adapters will be returned. The maximum value is 20,000; values above 20,000 will be coerced to 20,000. |
| `pageToken` | `string` A page token, received from a previous `adapters.list` call. Provide this to retrieve the subsequent page. |

### Request body

The request body must be empty.

### Response body

Response for the ListAdaptersRequest.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "adapters": [ { object (`https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources.adapters/list#Adapter`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `adapters[]` | ``object (`https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources.adapters/list#Adapter`)`` The adapter. |
| `nextPageToken` | `string` Used to set the `pageToken` in the `ListAdapterRequest` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admob.monetization`
- `
  https://www.googleapis.com/auth/admob.readonly`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## Adapter

Describes adapters supported by each mediation ad source.

Adapters correspond to a specific SDK implementation of the ad source, and are each associated with a single platform and a list of supported ad unit formats. Adapters may also require setting some configurations to perform ad requests. Configurations can be specified in the AdUnitMapping by setting the [adUnitConfigurations](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources.adapters/list#AdUnitMapping.ad_unit_configurations) key/value pairs. For example, the adUnitConfigurations can be used to pass various IDs to the adapter's third-party SDK.

| JSON representation |
|---|
| ``` { "name": string, "adapterId": string, "title": string, "platform": string, "formats": [ string ], "adapterConfigMetadata": [ { object (`https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources.adapters/list#AdapterConfigMetadata`) } ] } ``` |

| Fields ||
|---|---|
| `name` | `string` Output only. Resource name of the adapter. Format is: accounts/{publisherId}/adSources/{adSourceId}/adapters/{adapterId}. |
| `adapterId` | `string` Output only. ID of this adapter. It is used to set [adapterId](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources.adapters/list#AdUnitMapping.adapter_id). |
| `title` | `string` Output only. The display name of this adapter. |
| `platform` | `string` Output only. Mobile application platform supported by this adapter. Supported values are: IOS, ANDROID, WINDOWS_PHONE |
| `formats[]` | `string` Output only. Indicates the formats of the ad units supported by this adapter. |
| `adapterConfigMetadata[]` | ``object (`https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources.adapters/list#AdapterConfigMetadata`)`` Output only. Configuration metadata associated with this adapter. |

## AdapterConfigMetadata

Configuration metadata associated with this adapter. They are used to define the adUnitConfigurations associated with AdUnitMappings for the this adapter.

| JSON representation |
|---|
| ``` { "adapterConfigMetadataId": string, "adapterConfigMetadataLabel": string, "isRequired": boolean } ``` |

| Fields ||
|---|---|
| `adapterConfigMetadataId` | `string` This is used to fill the key of the [adUnitConfigurations](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.adSources.adapters/list#AdUnitMapping.ad_unit_configurations). |
| `adapterConfigMetadataLabel` | `string` Name of the adapter configuration metadata. |
| `isRequired` | `boolean` Whether this metadata is required for configuring the AdUnitMappings. |